Metaproject (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: Metaproject

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class Metaproject

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.MetaprojectImmutable
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.Metaproject

All Implemented Interfaces:
  `IMetaproject`, `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable`

public class Metaproject extends MetaprojectImmutable implements IMetaproject

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Metaproject(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Metaproject metaproject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEntity(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent entity)`
  add assignments to this metaproject
  `static Metaproject`
  `createMetaproject(String name, String description, String ownerId)`
  `void`
  `removeEntity(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent entity)`
  remove assigned entity from this metaproject
  `void`
  `setDescription(String description)`
  set this metaproject description

  ### Methods inherited from class ch.systemsx.cisd.etlserver.registrator.api.v2.impl.MetaprojectImmutable

  `getDescription, getMetaproject, getName, getOwnerId, isExistingMetaproject`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable

  `getDescription, getName, getOwnerId, isExistingMetaproject`

- ## Constructor Details

  - ### Metaproject

    public Metaproject(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Metaproject metaproject)

- ## Method Details

  - ### createMetaproject

    public static Metaproject createMetaproject(String name, String description, String ownerId)

  - ### setDescription

    public void setDescription(String description)
    Description copied from interface: `IMetaproject`
    set this metaproject description
    Specified by:
      `setDescription` in interface `IMetaproject`

  - ### addEntity

    public void addEntity(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent entity)
    Description copied from interface: `IMetaproject`
    add assignments to this metaproject
    Specified by:
      `addEntity` in interface `IMetaproject`

  - ### removeEntity

    public void removeEntity(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent entity)
    Description copied from interface: `IMetaproject`
    remove assigned entity from this metaproject
    Specified by:
      `removeEntity` in interface `IMetaproject`